#!/usr/bin/env python
import smbus
import time
bus = smbus.SMBus(1)
addr = 0x2a

def get_color2_info():
    bus.write_byte_data(addr , 0x00, 0x80)
    bus.write_byte_data(addr , 0x00, 0x0b)

    time.sleep(0.6)
    data = bus.read_i2c_block_data(addr , 0x03, 8) 
    R = data[0] *256 + data[1]
    G = data[2] *256 + data[3]
    B = data[4] *256 + data[5]
    Ir = data[6] *256 + data[7]
    
    print(f'R={R}, G={G}, B={B}, Ir={Ir}')

    # RGB値をファイルに書き込む
    with open("rgb_values2.txt", "w") as file:
        file.write(f"{R} {G} {B} {Ir}")

# 関数呼び出し
get_color2_info()
