#include <stdio.h>
#include "arduino.h"
#include "status.h"

int status(enum sta st){
  if(arduino_open() != 0) return -1;

  if(st == ok_status){
    led(gre);
    speak(accept_speak);
  }
  else if(st == ng_status){
    led(red);
    speak(thank_speak);
  }
  else if(st == pass_status){
    led(gre_fla);
    speak(empty_speak);
  }
  else if(st == run_status){
    led(all_fla);
    speak(run_speak);
  }
  else if(st == input_status){
    led(red_fla);
    speak(input_speak);
  }
  
  //arduino_close();
  return 0;
}
