#include <stdio.h>
#include <unistd.h>
#include "request.h"
#include "pilot.h"
#include "arduino.h"
#include "callback.h"
#include "uss.h"
#include "status.h"
#include "io.h"

int main(){
    
    if(callback_set() != 0){
       	printf("強制停止ボタンが正常にセットアップ出来ませんでした。\n");
       	return -1;
    }
	if(arduino_open() != 0){
       	printf("Arduinoが正常にセットアップ出来ませんでした。\n");
       	return -1;
    }
	if(uss_open_l() != 0){
       	printf("左前の超音波センサが正常にセットアップ出来ませんでした。\n");
        return -1;
	}
	if(uss_open_r() != 0){
       	printf("右前の超音波センサが正常にセットアップ出来ませんでした。\n");
		return -1;
	}
	if(io_open() != 0){
		printf("タッチセンサが正常にセットアップ出来ませんでした。\n");
		return -1;	
	}
    
    sleep(3);

    run();
    
    arduino_close();
    return 0;
}
