#include <stdio.h>
#include <unistd.h>
#include <math.h>
#include "arduino.h"
#include "direction.h"
#include "request.h"
#include "uss.h"

int kimino;

void hosei(int dist_set, int speed_set);
void hosei2(int dist_set, int speed_set);
void kaiten(int deg_set, int speed_set);

void tyokusin(int dist_set, int speed_set, int hosei_kyori){
	int speed, dist, dist_hoji;
	run_state_t state;
	long uss_l, uss_r;
	int stop_kyori;
	int i;
	
	if(hosei_kyori == 80){
		stop_kyori = 150;
	}else{
		stop_kyori = 100;
	}

 //main
	dist = dist_set;
	dist_hoji = dist_set;
	speed = speed_set;
	state = STR;
	request_set_runmode(state, speed, dist);
	
		
	while(1){
		i = 0;
		uss_l = uss_get_l();		
		uss_r = uss_get_r();
		printf("uss_l = %6ld, uss_r = %6ld, dist = %d, speed = %d\n", uss_l, uss_r, dist, speed);
		usleep(10 * 1000);
		request_get_runmode(&state, &speed, &dist);
		
		if( state == STP ){
			printf("state = %d\n", state);
			break;
		}
		
		//syougaibutu
		if((uss_l < stop_kyori || uss_r < stop_kyori) && uss_l > 0 && uss_r > 0){
			
			dist_hoji -= dist;//nokorino susumu kyori wo keisan
					
			request_get_runmode(&state, &speed, &dist);
			printf("stop\n");
			
			while(1){
				uss_l = uss_get_l();		
				uss_r = uss_get_r();
				printf("uss_l = %6ld, uss_r = %6ld, i = %d\n", uss_l, uss_r, i);
				
				state = STP;
				request_set_runmode(state, speed, dist_hoji);
				usleep(10 * 1000);
				
				//if(uss_r > stop_kyori+50 && uss_l > stop_kyori+50){
				//if((uss_l > stop_kyori+50 || uss_l < 0) && (uss_r > stop_kyori+50 || uss_r < 0)){
				if(((uss_l > stop_kyori+50 || uss_l < 0) && (uss_r > stop_kyori+50 || uss_r < 0) && i <= 2) || (uss_r > stop_kyori+50 && uss_l > stop_kyori+50 && i > 2)){
					speed = speed_set;
					dist = dist_hoji;
					state = STR;
					request_set_runmode(state, speed, dist_hoji);
					printf("break  dist = %d\n", dist_hoji);
					break;
				}
				if(i >= 30){
					kaiten(90*kimino, speed_set);
					hosei2(hosei_kyori, speed_set);
					i = 0;
					//break;//nomura
				}
				i++;
			}
		}
	}
	request_set_runmode(STP, speed, dist);
	
	printf("%d[cm] tyokusin finish\n", dist_set);
	usleep(10 * 1000);
}

void kaiten(int deg_set, int speed_set){
		int speed, deg;
		run_state_t state;
		
		state = ROT;
		deg = deg_set;
		speed = speed_set;
		
		request_set_runmode(state, speed, deg);
		usleep(10 * 1000);
		
		while(1){
			request_get_runmode(&state, &speed, &deg);
			if( state == STP ) break;
		}
		
		printf("%d[deg] kaiten finish \n",deg_set);
		usleep(10 * 1000);
}

void hosei(int dist_set, int speed_set){
	if(direction_correct(dist_set) == 0){
		printf("finished to correct\n");
	}else{
		printf("failed to correct\n");
	}
	
	if(kimino < 0){
		kaiten(-93*kimino, speed_set);
	}else{
		kaiten(-94*kimino, speed_set);
	}
}

void hosei2(int dist_set, int speed_set){
	if(direction_correct2(dist_set) == 0){
		printf("finished to correct\n");
	}else{
		printf("failed to correct\n");
	}
	
	if(kimino < 0){
		kaiten(-92*kimino, speed_set);
	}else{
		kaiten(-95*kimino, speed_set);
	}
}

int main(){
	int speed_set, dist_set;
	int labo = 2090 + 60;
	int hoken = 5150;
	int labo_hosei = 80;
	int hoken_hosei = 50;
	
	hoken = 3000;
	
	if(arduino_open() != 0) return -1;
	
	sleep(1);
	printf("speed[cm/s] ?\n");
	scanf("%d",&speed_set);

//shokika
	int flag_l = 0, flag_r = 0;
	
	if(uss_open_l() != 0){
		printf(" left uss open faild !!\n");
		flag_l = -1;
	}
	if(uss_open_r() != 0){
		printf(" right uss open faild !!\n");
		flag_r = -1;
	}
	if( flag_l == -1 && flag_r == -1) return -1;
	
	
//main
	while(1){
		//L
		kimino = -1;
		dist_set = labo;
		tyokusin(dist_set, speed_set, labo_hosei);
			
		kaiten(-90, speed_set);
		
		hosei2(labo_hosei, speed_set);
		
		//T-jiro
		kaiten(91, speed_set);

		kimino = -1;
		dist_set = hoken;
		tyokusin(dist_set, speed_set, hoken_hosei);
			
		kaiten(-92, speed_set);

		kimino = 1;
		hosei2(hoken_hosei, speed_set);
		
		//kikan
		kimino = 1;
		dist_set = hoken - 100;
		tyokusin(dist_set, speed_set, hoken_hosei);
		
		hosei(labo_hosei, speed_set);
		
		//labo
		kimino = 1;
		dist_set = labo + 20;
		tyokusin(dist_set, speed_set, labo_hosei);
			
		kaiten(92, speed_set);
		
		kimino = -1;
		hosei2(labo_hosei, speed_set);
	}
	
	arduino_close();
	return 0;
}
