/*水検知*/
#include <stdio.h>
#include <stdlib.h>
#include "input.h"
#include "callback.h"

int color_set() {
    // ピンモードを入力に設定
    if(wiringPiSetupGpio() == -1) return 1;
    pinMode(COLOR_LED_PIN, OUTPUT);
    digitalWrite(COLOR_LED_PIN, 1);
    pinMode(SMALL_COLOR_LED, OUTPUT);
    digitalWrite(SMALL_COLOR_LED, 1);
    return 0;
}

int water(){
  int liquid = -1;//水:アリ1,ナシ0
  char command[50];
  sprintf(command,"aplay speak/judge.wav");
  system(command);
  for(int i=0; i < 10; i++){
    // Pythonスクリプトの呼び出し
    system("python3 color.py");

    // PythonからRGB値を取得
    FILE *fp = fopen("rgb_values.txt", "r");
    if (fp == NULL) {
        perror("fopen");
        return 1;
    }

    int r=0, g=0, b=0, lux=0;
    // RGB値を読み取り
    fscanf(fp, "%d %d %d %d", &r, &g, &b, &lux);
    
    // ファイルポインタを閉じる
    fclose(fp);

    // ここでRGB値を使用する
    printf("Received RGB values: %d %d %d %d\n", r, g, b, lux);

    /*
    int under = -1;//飲み残し：アリ1,ナシ0
    under = under_read();*/

    if((r > 3000 || g > 3000 || b > 3000 || lux > 3000) /*&& under != 1*/){
      liquid = 1;
      break;
    }else{
      liquid = 0;
    }
  }

  return liquid;
}

int water_input(){
    int object_PET = -1;//PET:アリ1,ナシ0

    // Pythonスクリプトの呼び出し
    system("python3 color.py");

    // PythonからRGB値を取得
    FILE *fp = fopen("rgb_values.txt", "r");
    if (fp == NULL) {
        perror("fopen");
        return 1;
    }

    int r=0, g=0, b=0, lux=0;
    // RGB値を読み取り
    fscanf(fp, "%d %d %d %d", &r, &g, &b, &lux);

    // ファイルポインタを閉じる
    fclose(fp);

    // ここでRGB値を使用する
    printf("Received RGB values: %d %d %d %d\n", r, g, b, lux);

    if(lux > 500){
      object_PET = 1;
    }else{
      object_PET = 0;
    }

    return object_PET;
}


int under_read(){
    int object_PET = -1;//PET:アリ1,ナシ0

    // Pythonスクリプトの呼び出し
    system("python3 color2.py");

    // PythonからRGB値を取得
    FILE *fp = fopen("rgb_values2.txt", "r");
    if (fp == NULL) {
        perror("fopen");
        return 1;
    }

    int R=0, G=0, B=0, Ir=0;
    // RGB値を読み取り
    fscanf(fp, "%d %d %d %d", &R, &G, &B, &Ir);

    // ファイルポインタを閉じる
    fclose(fp);

    // ここでRGB値を使用する
    printf("Received under values: %d %d %d %d\n", R, G, B, Ir);

    if(2000 < R && 3500 < G && 1900 < B){
      object_PET = 1;
    }else{
      object_PET = 0;
    }

    return object_PET;
}
